Get Customer Redemptions

This API allows you to retrieve points and coupons redemption history of a customer. You can filter the results by type, duration, coupon ids start with, and coupon ids end with. Besides filters you can also sort the results by ascending or descending order by redemption id/time and limit number of results to retrieve.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

Identifier of the customer to use.

Allowed:
string
required

Value of the specified identifier type. o retrieve transactions of multiple customers at a time, provide each identifier separating by a comma.
Example: mobile=44700900000,44700900999,4470090345

string
enum

Type of redemption.

Allowed:
date

Retrieves redemptions made on or after a specific date (YYYY-MM-DD). To get transactions of a particular duration, use both start_date and end_date.

date

Retrieves redemptions made on or before a specific date (YYYY-MM-DD). To get transactions of a particular duration, use both start_date and end_date. Example: start_date=2013-12-21+23:45:45&end_date=2013-12-29+12:11:45

string

Code of the specified entity_type. For example, to get transactions of a specific zone (with zone code zone01), pass entity_type=zone&entity_code=zone01.

int32

Limit the number of coupon redemptions to be displayed. Example:coupons_limit=10 to show only 10 coupon redemption details. Use only when the type parameter is not passed.

int32

Limit the number of points redemption results to be displayed. Example:points_limit=10 to show only 10 points redemption details. Use only when the type parameter is not passed.

int32

Limit the number of redemption details (points and/or coupons). Use only when the type parameter is not passed. Default value is 10.

int64

Filter the results by coupon redemption id starting with a specific number. Use only when the type parameter is not passed.

int64

Filter the results by coupon redemption id ending with a specific number. Use only when the type parameter is not passed.

int64

Filter the results by points redemption id ending with a specific number. Use only when the type parameter is not passed.

int64
Defaults to null

Retrieves the credit notes of the transactions. Credit Notes is a receipt given by a cashier to a customer for returned goods which can be used for future purchases.

string
enum
Defaults to false

Sort the results either by redemption id or redeemed time. By default, the results are sorted in the descending order of redeemed time.

Allowed:
string
enum
Defaults to desc

Arranges the transactions based on the value set in sort. By default, results are shown in the descending order of transaction date/id.

Allowed:
boolean
Defaults to false

Pass true to get redemptions of the customer from all programs of the org, false to fetch from the default program associated with the till.

string
enum

Representation of response content.

Allowed:
boolean

Pass true to return the customer ID in response. By default, customer id is not retrieved.

int64

Pass the merchant store ID of to fetch redemptions made in that particular merchant store.

int32

Pass program ID to filter redemptions of a particular program.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json